using C1.Win.FlexGrid;

namespace FlexGridMultiSave
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();


      this.c1FlexGrid1.ReadXml("..\\..\\..\\flexgrid_0.xml");
      this.c1FlexGrid2.ReadXml("..\\..\\..\\flexgrid_1.xml");

      //Reset all images (source file contains images, which causes trouble on excel save)...
      for (int row = 0; row < this.c1FlexGrid1.Rows.Count; row++)
      {
        for (int col = 0; col < this.c1FlexGrid1.Cols.Count; col++)
        {
          this.c1FlexGrid1.SetCellImage(row, col, null);
        }
      }

      for (int row = 0; row < this.c1FlexGrid2.Rows.Count; row++)
      {
        for (int col = 0; col < this.c1FlexGrid2.Cols.Count; col++)
        {
          this.c1FlexGrid2.SetCellImage(row, col, null);
        }
      }
    }

    private void buttonSaveExcel_Click(object sender, EventArgs e)
    {
      MemoryStream streamToSave = new MemoryStream();

      this.c1FlexGrid1.SaveExcel(streamToSave, "Sheet 1", FileFlags.IncludeFixedCells | FileFlags.IncludeMergedRanges | FileFlags.SaveMergedRanges | FileFlags.VisibleOnly | FileFlags.Outline | FileFlags.OpenXml);

      streamToSave.Seek(0, SeekOrigin.Begin);


      this.c1FlexGrid2.SaveExcel(streamToSave, "Sheet 2", FileFlags.IncludeFixedCells | FileFlags.IncludeMergedRanges | FileFlags.SaveMergedRanges | FileFlags.VisibleOnly | FileFlags.Outline | FileFlags.OpenXml);


      streamToSave.Seek(0, SeekOrigin.Begin);


      File.WriteAllBytes("result.xlsx", streamToSave.ToArray());

    }
  }
}
